archive 2.0.6 icon indicating copy to clipboard operation
archive: ^2.0.6 copied to clipboard

outdated

Provides encoders and decoders for various archive and compression formats such as zip, tar, bzip2, gzip, and zlib.

archive #

Build Status

Overview #

A Dart library to encode and decode various archive and compression formats.

The library has no reliance on dart:io, so it can be used for both server and web applications.

The archive library currently supports the following decoders:

  • Zip (Archive)
  • Tar (Archive)
  • ZLib [Inflate decompression]
  • GZip [Inflate decompression]
  • BZip2 [decompression]

And the following encoders:

  • Zip (Archive)
  • Tar (Archive)
  • ZLib [Deflate compression]
  • GZip [Deflate compression]
  • BZip2 [compression]
258
likes
0
pub points
99%
popularity

Provides encoders and decoders for various archive and compression formats such as zip, tar, bzip2, gzip, and zlib.

Repository (GitHub)
View/report issues

Documentation

Documentation

License

unknown (LICENSE)

Dependencies

args, crypto, path

More

Packages that depend on archive